Plugin error from dada2 ,An error was encountered while running DADA2 in R (return code 255)

hi everyone, i just faced a error when running dada2 with qiime2-2020.11 installed by conda
here is my code :slight_smile:
【qiime dada2 denoise-paired --i-demultiplexed-seqs ~/databac/res/raw.qza --p-trim-left-f 0 --p-trim-left-r 0 --p-trunc-len-f 220 --p-trunc-len-r 250 --o-table ~/databac/res/table.qza --o-representative-sequences ~/databac/res/seqs.qza --o-denoising-stats ~/databac/res/denoising-stats.qza --p-n-threads 0 】

after a while,an error take place:
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 255), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-4kus38zw.log

Then i check this log file and i just don't know how to due with it
here is the log file :slight_smile:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp5r46ebxo/forward /tmp/tmp5r46ebxo/reverse /tmp/tmp5r46ebxo/output.tsv.biom /tmp/tmp5r46ebxo/track.tsv /tmp/tmp5r46ebxo/filt_f /tmp/tmp5r46ebxo/filt_r 220 250 0 0 2.0 2.0 2 independent consensus 1.0 0 1000000

Rscript execution error: No such file or directory
Traceback (most recent call last):
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 264, in denoise_paired
run_commands([cmd])
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/subprocess.py", line 438, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmp5r46ebxo/forward', '/tmp/tmp5r46ebxo/reverse', '/tmp/tmp5r46ebxo/output.tsv.biom', '/tmp/tmp5r46ebxo/track.tsv', '/tmp/tmp5r46ebxo/filt_f', '/tmp/tmp5r46ebxo/filt_r', '220', '250', '0', '0', '2.0', '2.0', '2', 'independent', 'consensus', '1.0', '0', '1000000']' returned non-zero exit status 255.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
output_types, provenance)
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/qiime2/sdk/action.py", line 390, in callable_executor
output_views = self._callable(**view_args)
File "/home/microbelab/microbelab01/miniconda2/envs/qiime2-2020.11/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 255), please inspect stdout and stderr to learn more.

Please give me some idea to overcome this problem and Thank you so much

Rscript execution error: No such file or directory

i think Rscript is the key of this problem maybe, but i don‘t know why

i just check "_denoise.py" "subprocess.py" and don't know what is the problem

Hi @Zhongpei_NJAU!

The base of the error is this line:

This implies that something is wrong with your conda/execution environment's configuration, perhaps you have multiple versions of R that are being mixed up here. Let's start with the following, please run this command and copy-and-paste the complete results here:

conda deactivate
conda activate qiime2-2020.11
env

Thanks!